---
title: llarp::LR_StatusRecord

---

# llarp::LR_StatusRecord





## Public Functions

|                | Name           |
| -------------- | -------------- |
| bool | **[BDecode](Classes/structllarp_1_1LR__StatusRecord.md#function-bdecode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) |
| bool | **[BEncode](Classes/structllarp_1_1LR__StatusRecord.md#function-bencode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) const |
| bool | **[operator==](Classes/structllarp_1_1LR__StatusRecord.md#function-operator==)**(const [LR_StatusRecord](Classes/structllarp_1_1LR__StatusRecord.md) & other) const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| constexpr uint64_t | **[SUCCESS](Classes/structllarp_1_1LR__StatusRecord.md#variable-success)**  |
| constexpr uint64_t | **[FAIL_TIMEOUT](Classes/structllarp_1_1LR__StatusRecord.md#variable-fail-timeout)**  |
| constexpr uint64_t | **[FAIL_CONGESTION](Classes/structllarp_1_1LR__StatusRecord.md#variable-fail-congestion)**  |
| constexpr uint64_t | **[FAIL_DEST_UNKNOWN](Classes/structllarp_1_1LR__StatusRecord.md#variable-fail-dest-unknown)**  |
| constexpr uint64_t | **[FAIL_DECRYPT_ERROR](Classes/structllarp_1_1LR__StatusRecord.md#variable-fail-decrypt-error)**  |
| constexpr uint64_t | **[FAIL_MALFORMED_RECORD](Classes/structllarp_1_1LR__StatusRecord.md#variable-fail-malformed-record)**  |
| constexpr uint64_t | **[FAIL_DEST_INVALID](Classes/structllarp_1_1LR__StatusRecord.md#variable-fail-dest-invalid)**  |
| constexpr uint64_t | **[FAIL_CANNOT_CONNECT](Classes/structllarp_1_1LR__StatusRecord.md#variable-fail-cannot-connect)**  |
| constexpr uint64_t | **[FAIL_DUPLICATE_HOP](Classes/structllarp_1_1LR__StatusRecord.md#variable-fail-duplicate-hop)**  |
| uint64_t | **[status](Classes/structllarp_1_1LR__StatusRecord.md#variable-status)**  |
| uint64_t | **[version](Classes/structllarp_1_1LR__StatusRecord.md#variable-version)**  |

## Public Functions Documentation

### function BDecode

```cpp
bool BDecode(
    llarp_buffer_t * buf
)
```


### function BEncode

```cpp
bool BEncode(
    llarp_buffer_t * buf
) const
```


### function operator==

```cpp
bool operator==(
    const LR_StatusRecord & other
) const
```


## Public Attributes Documentation

### variable SUCCESS

```cpp
static constexpr uint64_t SUCCESS = 1 << 0;
```


### variable FAIL_TIMEOUT

```cpp
static constexpr uint64_t FAIL_TIMEOUT = 1 << 1;
```


### variable FAIL_CONGESTION

```cpp
static constexpr uint64_t FAIL_CONGESTION = 1 << 2;
```


### variable FAIL_DEST_UNKNOWN

```cpp
static constexpr uint64_t FAIL_DEST_UNKNOWN = 1 << 3;
```


### variable FAIL_DECRYPT_ERROR

```cpp
static constexpr uint64_t FAIL_DECRYPT_ERROR = 1 << 4;
```


### variable FAIL_MALFORMED_RECORD

```cpp
static constexpr uint64_t FAIL_MALFORMED_RECORD = 1 << 5;
```


### variable FAIL_DEST_INVALID

```cpp
static constexpr uint64_t FAIL_DEST_INVALID = 1 << 6;
```


### variable FAIL_CANNOT_CONNECT

```cpp
static constexpr uint64_t FAIL_CANNOT_CONNECT = 1 << 7;
```


### variable FAIL_DUPLICATE_HOP

```cpp
static constexpr uint64_t FAIL_DUPLICATE_HOP = 1 << 8;
```


### variable status

```cpp
uint64_t status = 0;
```


### variable version

```cpp
uint64_t version = 0;
```


-------------------------------

Updated on 2022-09-10 at 18:17:13 +0000